# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_TrimmedCurve Class Reference

`#include <PGeom2d_TrimmedCurve.hxx>`

Inheritance diagram for PGeom2d_TrimmedCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_TrimmedCurve ()
| Creates a TrimmedCurve with default values. .
Standard_EXPORT | PGeom2d_TrimmedCurve (const Handle(PGeom2d_Curve)&aBasisCurve, const Standard_Real aFirstU, const Standard_Real aLastU)
| Creates a TrimmedCurve with these field values. .
Standard_EXPORT void | FirstU (const Standard_Real aFirstU)
| Set the value of the field firstU with <afirstu>. .
Standard_EXPORT Standard_Real | FirstU () const
| Returns the value of the field firstU. .
Standard_EXPORT void | LastU (const Standard_Real aLastU)
| Set the value of the field lastU with <alastu>. .
Standard_EXPORT Standard_Real | LastU () const
| Returns the value of the field lastU. .
Standard_EXPORT void | BasisCurve (const Handle(PGeom2d_Curve)&aBasisCurve)
| Set the value of the field basisCurve with <abasiscurve>. This curve can be a trimmed curve. .
Standard_EXPORT Handle_PGeom2d_Curve | BasisCurve () const
| Returns the value of the field basisCurve. This curve can be a trimmed curve. .
| PGeom2d_TrimmedCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_Curve) _CSFDB_GetPGeom2d_TrimmedCurvebasisCurve() const
void | _CSFDB_SetPGeom2d_TrimmedCurvebasisCurve (const Handle(PGeom2d_Curve)&p)
Standard_Real | _CSFDB_GetPGeom2d_TrimmedCurvefirstU () const
void | _CSFDB_SetPGeom2d_TrimmedCurvefirstU (const Standard_Real p)
Standard_Real | _CSFDB_GetPGeom2d_TrimmedCurvelastU () const
void | _CSFDB_SetPGeom2d_TrimmedCurvelastU (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom2d_Curve | basisCurve
Standard_Real | firstU
Standard_Real | lastU

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_TrimmedCurve::PGeom2d_TrimmedCurve | ( |  | ) |

Standard_EXPORT PGeom2d_TrimmedCurve::PGeom2d_TrimmedCurve | ( | const Handle(PGeom2d_Curve)& | aBasisCurve,
|  | const Standard_Real | aFirstU,
|  | const Standard_Real | aLastU
| ) |

PGeom2d_TrimmedCurve::PGeom2d_TrimmedCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom2d_TrimmedCurve::_CSFDB_GetPGeom2d_TrimmedCurvefirstU | ( |  | ) | const`[inline]`

Standard_Real PGeom2d_TrimmedCurve::_CSFDB_GetPGeom2d_TrimmedCurvelastU | ( |  | ) | const`[inline]`

void PGeom2d_TrimmedCurve::_CSFDB_SetPGeom2d_TrimmedCurvebasisCurve | ( | const Handle(PGeom2d_Curve)& | p | ) | `[inline]`

void PGeom2d_TrimmedCurve::_CSFDB_SetPGeom2d_TrimmedCurvefirstU | ( | const Standard_Real | p | ) | `[inline]`

void PGeom2d_TrimmedCurve::_CSFDB_SetPGeom2d_TrimmedCurvelastU | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Handle_PGeom2d_Curve PGeom2d_TrimmedCurve::BasisCurve | ( |  | ) | const

Standard_EXPORT void PGeom2d_TrimmedCurve::BasisCurve | ( | const Handle(PGeom2d_Curve)& | aBasisCurve | ) |

Standard_EXPORT Standard_Real PGeom2d_TrimmedCurve::FirstU | ( |  | ) | const

Standard_EXPORT void PGeom2d_TrimmedCurve::FirstU | ( | const Standard_Real | aFirstU | ) |

Standard_EXPORT const PGeom2d_TrimmedCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_BoundedCurve.

PGeom2d_TrimmedCurve::Handle | ( | PGeom2d_Curve |  | ) | const`[inline]`

Standard_EXPORT Standard_Real PGeom2d_TrimmedCurve::LastU | ( |  | ) | const

Standard_EXPORT void PGeom2d_TrimmedCurve::LastU | ( | const Standard_Real | aLastU | ) |

## Field Documentation

Handle_PGeom2d_Curve PGeom2d_TrimmedCurve::basisCurve `[private]`

Standard_Real PGeom2d_TrimmedCurve::firstU `[private]`

Standard_Real PGeom2d_TrimmedCurve::lastU `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_TrimmedCurve.hxx